System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

The class allows you to specify parsing logic for a custom server control by marking the server control with the metadata attribute.

Marking your server control with the metadata attribute ParseChildren(true) instructs the parser to interpret the elements that are contained within the server control's tags as properties. In this scenario, the property is true.

Marking your server control with the metadata attribute ParseChildren(true,"<Default Property>") sets the property to the name of the property that is passed into the attribute.

Marking your server control with the metadata attribute ParseChildren(false), the default value, instructs the parser to interpret the elements that are contained within the server control's tags as content that will be parsed with an associated that is, as controls. In this scenario, the property is false.

For information about using attributes, see Extending Metadata Using Attributes.

Defines a metadata attribute that you can use when developing ASP.NET server controls. Use the class to indicate how the page parser should treat content nested inside a server control tag declared on a page. This class cannot be inherited.

- Constructor

  A new instance of the class is created with the property set to false.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  If is false, the elements that are contained within the server control are parsed as a control. false is the default for .

  Initializes a new instance of the class using the property to determine if the elements that are contained within a server control are parsed as properties of the server control.

  true to parse the elements as properties of the server control; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class using the property to determine which elements that are contained within a server control are parsed as controls.

  The control type to parse as a property.
- Constructor

  If is false, the elements are parsed as controls.

  Initializes a new instance of the class using the and parameters.

  true to parse the elements as properties of the server control; otherwise, false.
  A string that defines a collection property of the server control into which nested content is parsed by default.
  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Type To be added.

  If the allowed control type is null, meaning that it has not been specified, the default type, which is a control, is returned.

  Gets a value indicating the allowed type of a control.

- Property
  System.Boolean To be added: an object of type 'bool'

  If the property is set to false, the elements that are contained within a server control are parsed as a control.

  Gets or sets a value indicating whether to parse the elements that are contained within a server control as properties.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.ParseChildrenAttribute

  The default value for the field is false, which means that elements are not parsed as properties of the server control.

  Defines the default value for the class. This field is read-only.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  The property is used only if a string is passed to the constructor. When the class is created, the property defines the default property for the server control that is being parsed.

  Gets or sets the default property for the server control into which the elements are parsed.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Determines whether the specified object is equal to the current object.

  true if is equal to the current object; otherwise, false.

  The object to compare with the current object. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Serves as a hash function for the object.

  A hash code for the current object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  The default value for the class is the field.

  Returns a value indicating whether the value of the current instance of the class is the default value of the derived class.

  true if the current value is the default instance; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Web.UI.ParseChildrenAttribute

  If the field is called, the nested content that are contained within the server control are not parsed as properties; rather, they are parsed as a control.

  Indicates that the nested content that is contained within the server control is parsed as controls.

- Field
  2.0.0.0
  System.Web.UI.ParseChildrenAttribute

  If the field is called, the nested content contained within a server control is parsed as properties.

  Indicates that the nested content that is contained within a server control is parsed as properties of the control.